Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions
Lucene::ScorerVisitor Class Referenceabstract

`#include <Scorer.h>`

## Public Member Functions

virtual void | visitOptional (QueryPtr parent, QueryPtr child, ScorerPtr scorer)=0
virtual void | visitRequired (QueryPtr parent, QueryPtr child, ScorerPtr scorer)=0
virtual void | visitProhibited (QueryPtr parent, QueryPtr child, ScorerPtr scorer)=0

## Member Function Documentation

## ◆ visitOptional()

virtual void Lucene::ScorerVisitor::visitOptional | ( | QueryPtr | parent,
|  | QueryPtr | child,
|  | ScorerPtr | scorer )

pure virtual

## ◆ visitProhibited()

virtual void Lucene::ScorerVisitor::visitProhibited | ( | QueryPtr | parent,
|  | QueryPtr | child,
|  | ScorerPtr | scorer )

pure virtual

## ◆ visitRequired()

virtual void Lucene::ScorerVisitor::visitRequired | ( | QueryPtr | parent,
|  | QueryPtr | child,
|  | ScorerPtr | scorer )

pure virtual

The documentation for this class was generated from the following file:

- Scorer.h

clucene.sourceforge.net